Bug 126469 - Missing dependency on libxml2-python
Missing dependency on libxml2-python
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-22 01:21 EDT by John Morris
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 15:06:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Morris 2004-06-22 01:21:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)
Gecko/20040602

Description of problem:
Just a missing dependency.  If nothing else pulls in the library
up2date will puke it's guts out and unwind a long string of errors,
leading the clueful to the exact cause.

Version-Release number of selected component (if applicable):
up2date-4.3.19-1

How reproducible:
Always

Steps to Reproduce:
1.  Ensure libxl2-python isn't installed.  Note that RPM will not
complain if up2date is the last dependency.
2.  Try running up2date, console or gui.
3.  See the wreckage.  See the attempt to import libxml2.
    

Additional info:
Comment 1 Joe Acosta 2004-07-15 01:30:45 EDT
Simple fix is to install libxml2-python.  Then it works. 

I guess I'm suprised that something that seems so simle to fix would
not have been fixed by now. 



Note You need to log in before you can comment on or make changes to this bug.